"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.Autocomplete = Autocomplete;

var _objectWithoutProperties2 = _interopRequireDefault(require("@babel/runtime/helpers/esm/objectWithoutProperties"));

var _react = _interopRequireDefault(require("react"));

var _core = require("@material-ui/core");

var _lab = require("@material-ui/lab");

var _styles = require("../../shared/styles");

var StyledAutocomplete = (0, _core.styled)(_lab.Autocomplete)({
  fontFamily: _styles.typography.type.primary,
  "& label.Mui-focused": {
    color: _styles.colors.amulet
  },
  "& .MuiInput-underline:after": {
    borderBottomColor: _styles.colors.amulet
  },
  "& .MuiOutlinedInput-root": {
    "&:hover fieldset": {
      borderColor: _styles.colors.amulet
    },
    "&.Mui-focused fieldset": {
      borderColor: _styles.colors.amulet
    }
  }
});
var useStyles = (0, _core.makeStyles)({
  required: {
    "& fieldset": {
      borderColor: _styles.colors.negative
    }
  }
});

var CustomAutocomplete = function CustomAutocomplete(_ref) {
  var props = Object.assign({}, _ref);
  var classes = useStyles();
  return /*#__PURE__*/_react.default.createElement(StyledAutocomplete, Object.assign({
    className: props.required && !props.value && classes.required
  }, props));
};

function Autocomplete(_ref2) {
  var id = _ref2.id,
      label = _ref2.label,
      options = _ref2.options,
      handleChange = _ref2.handleChange,
      error = _ref2.error,
      value = _ref2.value,
      props = (0, _objectWithoutProperties2.default)(_ref2, ["id", "label", "options", "handleChange", "error", "value"]);
  return /*#__PURE__*/_react.default.createElement(CustomAutocomplete, Object.assign({
    id: id,
    options: options,
    value: options.find(function (o) {
      return o.value === value;
    }),
    getOptionLabel: function getOptionLabel(option) {
      return option.label;
    },
    getOptionSelected: function getOptionSelected(option, value) {
      return (option === null || option === void 0 ? void 0 : option.value) === (value === null || value === void 0 ? void 0 : value.value);
    },
    onChange: handleChange,
    fullWidth: true,
    renderInput: function renderInput(params) {
      return /*#__PURE__*/_react.default.createElement(_core.TextField, Object.assign({}, params, {
        label: label,
        variant: "outlined",
        error: error
      }));
    }
  }, props));
}

Autocomplete.defaultProps = {
  label: 'Pesquisar...',
  error: false
};