"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.BreadcrumbStepper = BreadcrumbStepper;

var _react = _interopRequireDefault(require("react"));

var _Stepper = require("./Stepper");

var _styles = require("./styles");

/**
 * Breacrumb stepper component: 
 * This is a stepper component in a breacrumb style. 
 * You can use it by passing all the possible steps and a selected prop
 * to tell the component which step is selected, then the component is going to
 * render the step component you passed as a page.
 * You also can pass a onClick prop to control what happens when you click on
 * a step
**/
function BreadcrumbStepper(_ref) {
  var selected = _ref.selected,
      steps = _ref.steps,
      onClick = _ref.onClick;
  var Component = steps[selected].component;
  return /*#__PURE__*/_react.default.createElement(_styles.BreadcrumbContainer, null, /*#__PURE__*/_react.default.createElement(_Stepper.Stepper, {
    selected: selected,
    steps: steps,
    onClick: onClick
  }), /*#__PURE__*/_react.default.createElement("br", null), /*#__PURE__*/_react.default.createElement(Component, null));
}

BreadcrumbStepper.defaultProps = {
  onClick: null
};