"use strict";

var _interopRequireWildcard = require("@babel/runtime/helpers/interopRequireWildcard");

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.Button = Button;

var _objectWithoutProperties2 = _interopRequireDefault(require("@babel/runtime/helpers/esm/objectWithoutProperties"));

var _react = _interopRequireWildcard(require("react"));

var _core = require("@material-ui/core");

var _styles = require("../../shared/styles");

/**
- Default button component
**/
function Button(_ref) {
  var children = _ref.children,
      backgroundColor = _ref.backgroundColor,
      color = _ref.color,
      outlined = _ref.outlined,
      isStartIcon = _ref.isStartIcon,
      icon = _ref.icon,
      size = _ref.size,
      onClick = _ref.onClick,
      disabled = _ref.disabled,
      fullWidth = _ref.fullWidth,
      props = (0, _objectWithoutProperties2.default)(_ref, ["children", "backgroundColor", "color", "outlined", "isStartIcon", "icon", "size", "onClick", "disabled", "fullWidth"]);
  var bgColor = (0, _react.useMemo)(function () {
    if (disabled) return _styles.colors.lightest; // if (backgroundColor) return backgroundColor;

    if (outlined) return _styles.colors.lightest;
    return backgroundColor || "#9CD186";
  }, [backgroundColor, disabled, outlined]);
  var textColor = (0, _react.useMemo)(function () {
    if (disabled) return _styles.colors.medium;
    if (color) return color;
    if (outlined) return backgroundColor || "#9CD186";
    return _styles.colors.lightest;
  }, [backgroundColor, color, disabled, outlined]);
  var borderColor = (0, _react.useMemo)(function () {
    if (disabled) return _styles.colors.medium; // if (backgroundColor) return backgroundColor;

    return backgroundColor || "#9CD186";
  }, [backgroundColor, disabled]);
  var fontWeight = (0, _react.useMemo)(function () {
    if (disabled) return _styles.typography.weight.regular;
    if (outlined) return _styles.typography.weight.bold;
    return _styles.typography.weight.regular;
  }, [disabled, outlined]);
  return /*#__PURE__*/_react.default.createElement(_core.Button, Object.assign({
    fullWidth: fullWidth,
    size: size,
    variant: "outlined",
    startIcon: isStartIcon && icon,
    endIcon: !isStartIcon && icon,
    style: {
      width: fullWidth && "100%",
      textTransform: "none",
      backgroundColor: bgColor,
      color: textColor,
      fontFamily: _styles.typography.type.secondary,
      fontSize: _styles.typography.size.s3,
      fontWeight: fontWeight,
      borderWidth: "2px",
      borderColor: borderColor,
      borderRadius: "8px"
    },
    onClick: onClick,
    disabled: disabled
  }, props), children);
}

Button.defaultProps = {
  children: "Send",
  backgroundColor: null,
  color: null,
  isStartIcon: false,
  icon: false,
  size: "large",
  onClick: null,
  outlined: false,
  disabled: false,
  fullWidth: false
};