"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.Checkbox = Checkbox;

var _react = _interopRequireDefault(require("react"));

var _core = require("@material-ui/core");

var _styles = require("../../shared/styles");

var GreenCheckbox = (0, _core.withStyles)({
  root: {
    color: _styles.colors.amulet,
    "&$checked": {
      color: _styles.colors.amulet
    }
  },
  checked: {}
})(function (props) {
  return /*#__PURE__*/_react.default.createElement(_core.Checkbox, Object.assign({
    color: "default"
  }, props));
});

function Checkbox(_ref) {
  var checkboxId = _ref.checkboxId,
      value = _ref.value,
      label = _ref.label,
      handleChange = _ref.handleChange;
  return /*#__PURE__*/_react.default.createElement(_core.FormControlLabel, {
    style: {
      fontFamily: _styles.typography.type.primary
    },
    control: /*#__PURE__*/_react.default.createElement(GreenCheckbox, {
      name: checkboxId,
      checked: value,
      onChange: function onChange(e) {
        return handleChange(e);
      }
    }),
    label: label
  });
}

Checkbox.defaultProps = {
  checkboxId: "defaultId",
  label: "Default Label Text",
  value: false,
  handleChange: null
};