"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.DataPicker = DataPicker;

var _react = _interopRequireDefault(require("react"));

var _core = require("@material-ui/core");

var _styles = require("../../shared/styles");

var TextFieldStyled = (0, _core.styled)(_core.TextField)({
  "& label.Mui-focused": {
    color: _styles.colors.amulet
  },
  "& .MuiInput-underline:after": {
    borderBottomColor: _styles.colors.amulet
  },
  "& .MuiOutlinedInput-root": {
    "&:hover fieldset": {
      borderColor: _styles.colors.amulet
    },
    "&.Mui-focused fieldset": {
      borderColor: _styles.colors.amulet
    }
  }
});

function DataPicker(_ref) {
  var dataPickerId = _ref.dataPickerId,
      label = _ref.label,
      handleChange = _ref.handleChange,
      value = _ref.value;
  return /*#__PURE__*/_react.default.createElement(TextFieldStyled, {
    id: dataPickerId,
    name: dataPickerId,
    label: label,
    type: "date",
    variant: "outlined",
    size: "small",
    onChange: function onChange(e) {
      return handleChange(e);
    },
    value: value,
    InputLabelProps: {
      shrink: true
    }
  });
}

DataPicker.defaultProps = {
  dataPickerId: "defaultPickerId",
  label: ""
};