"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.DragAndDrop = DragAndDrop;

var _taggedTemplateLiteral2 = _interopRequireDefault(require("@babel/runtime/helpers/esm/taggedTemplateLiteral"));

var _react = _interopRequireDefault(require("react"));

var _core = require("@material-ui/core");

var _styledComponents = _interopRequireDefault(require("styled-components"));

var _reactDropzone = require("react-dropzone");

var _icons = require("@material-ui/icons");

var _styles = require("../../shared/styles");

var _templateObject, _templateObject2, _templateObject3, _templateObject4, _templateObject5, _templateObject6, _templateObject7;

var Card = (0, _styledComponents.default)(_core.Card)(_templateObject || (_templateObject = (0, _taggedTemplateLiteral2.default)(["\n  height: 345px;\n  width: 100%;\n  /* width: 176px; */\n\n  padding: 8px;\n  box-sizing: border-box;\n\n  font-family: ", ";\n  background-color: ", " !important;\n\n  border: 2px dashed #8a8a8a;\n  border-radius: 8px !important;\n\n  display: flex;\n  justify-content: center;\n  align-content: center;\n  align-items: center;\n  flex-direction: column;\n"])), _styles.typography.type.primary, _styles.colors.lighter);

var CardBoldParagraph = _styledComponents.default.p(_templateObject2 || (_templateObject2 = (0, _taggedTemplateLiteral2.default)(["\n  margin: 10px 0px;\n  font-size: 24px;\n  line-height: 32px;\n  text-align: center;\n  font-weight: 600;\n  color: #8a8a8a;\n  margin: 25px 0 5px 0;\n"])));

var ContentContainer = _styledComponents.default.div(_templateObject3 || (_templateObject3 = (0, _taggedTemplateLiteral2.default)(["\n  height: 100%;\n  width: 100%;\n  display: flex;\n  flex-direction: column;\n  align-items: center;\n  /* justify-content: space-between; */\n  padding: 5px;\n  padding-top: 40px;\n  cursor: pointer;\n"])));

var CardParagraph = _styledComponents.default.p(_templateObject4 || (_templateObject4 = (0, _taggedTemplateLiteral2.default)(["\n  font-size: 16px;\n  font-weight: 400;\n  line-height: 24px;\n  color: #8a8a8a;\n  text-align: center;\n"])));

var ListItem = _styledComponents.default.li(_templateObject5 || (_templateObject5 = (0, _taggedTemplateLiteral2.default)(["\n  font-size: ", "px;\n  font-weight: ", ";\n  line-height: 16px;\n  color: ", ";\n"])), _styles.typography.size.s2, _styles.typography.weight.regular, _styles.colors.madang);

var CardButton = (0, _styledComponents.default)(_core.Card)(_templateObject6 || (_templateObject6 = (0, _taggedTemplateLiteral2.default)(["\n  height: 40px;\n  width: 210px;\n  cursor: pointer;\n\n  padding: 8px;\n  box-sizing: border-box;\n  box-shadow: none;\n\n  font-family: ", ";\n\n  border: 2px solid #9cd186;\n  border-radius: 8px !important;\n\n  display: flex;\n  justify-content: center;\n  align-content: center;\n  align-items: center;\n  flex-direction: column;\n"])), _styles.typography.type.primary);

var CardButtonBoldParagraph = _styledComponents.default.p(_templateObject7 || (_templateObject7 = (0, _taggedTemplateLiteral2.default)(["\n  display: flex;\n  justify-content: center;\n  align-items: center;\n  margin: 10px 0px;\n  font-size: 16px;\n  font-weight: 600;\n  color: #9cd186;\n"])));

function CardBody(_ref) {
  var files = _ref.files,
      isDragActive = _ref.isDragActive,
      icon = _ref.icon,
      bodyTitle = _ref.bodyTitle,
      bodySubtitle = _ref.bodySubtitle;

  if (files.length > 0) {
    return /*#__PURE__*/_react.default.createElement("ul", null, files.map(function (file) {
      return /*#__PURE__*/_react.default.createElement(ListItem, {
        key: file.name
      }, file.name);
    }));
  }

  if (isDragActive) return /*#__PURE__*/_react.default.createElement(CardBoldParagraph, null, bodyTitle);
  return /*#__PURE__*/_react.default.createElement(ContentContainer, null, icon && /*#__PURE__*/_react.default.createElement("img", {
    alt: "DragnDropIcon",
    src: icon,
    style: {
      width: "50px",
      height: "50px"
    }
  }), /*#__PURE__*/_react.default.createElement(CardBoldParagraph, null, bodyTitle), /*#__PURE__*/_react.default.createElement(CardParagraph, null, bodySubtitle ? bodySubtitle() : /*#__PURE__*/_react.default.createElement(_react.default.Fragment, null, /*#__PURE__*/_react.default.createElement("p", {
    style: {
      margin: "5px 0px"
    }
  }, "Tamanho maximo: 65kb"), /*#__PURE__*/_react.default.createElement("p", {
    style: {
      margin: "5px 0px"
    }
  }, "Permitido somente imagens em JPG ou JPEG"), /*#__PURE__*/_react.default.createElement("p", {
    style: {
      margin: "5px 0px"
    }
  }, "A dimens\xE3o minima \xE9 1000x1000px e maxima \xE9 3200x3200"))));
}
/**
 * Drag and drop file upload component
 * @param {object} props
 * @returns DragAndDrop
 */


function DragAndDrop(_ref2) {
  var files = _ref2.files,
      onDrop = _ref2.onDrop,
      icon = _ref2.icon,
      isButton = _ref2.isButton,
      buttonTitle = _ref2.buttonTitle,
      bodyTitle = _ref2.bodyTitle,
      bodySubtitle = _ref2.bodySubtitle;

  var _useDropzone = (0, _reactDropzone.useDropzone)({
    onDrop: onDrop
  }),
      getRootProps = _useDropzone.getRootProps,
      getInputProps = _useDropzone.getInputProps,
      isDragActive = _useDropzone.isDragActive;

  if (isButton) return /*#__PURE__*/_react.default.createElement(CardButton, getRootProps(), /*#__PURE__*/_react.default.createElement("input", getInputProps()), /*#__PURE__*/_react.default.createElement(CardButtonBoldParagraph, null, buttonTitle, "\xA0 ", /*#__PURE__*/_react.default.createElement(_icons.SaveAlt, null)));
  return /*#__PURE__*/_react.default.createElement(Card, getRootProps(), /*#__PURE__*/_react.default.createElement("input", getInputProps()), /*#__PURE__*/_react.default.createElement(CardBody, {
    isDragActive: isDragActive,
    files: files,
    icon: icon,
    bodyTitle: bodyTitle,
    bodySubtitle: bodySubtitle
  }));
}

DragAndDrop.defaultProps = {
  files: [],
  isButton: false,
  buttonTitle: 'Inserir Imagens',
  bodyTitle: "Arraste e solte suas imagens aqui :)"
};