"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

var _interopRequireWildcard = require("@babel/runtime/helpers/interopRequireWildcard");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.Drawer = Drawer;

var _slicedToArray2 = _interopRequireDefault(require("@babel/runtime/helpers/esm/slicedToArray"));

var _taggedTemplateLiteral2 = _interopRequireDefault(require("@babel/runtime/helpers/esm/taggedTemplateLiteral"));

var _react = _interopRequireWildcard(require("react"));

var _styledComponents = _interopRequireDefault(require("styled-components"));

var _core = require("@material-ui/core");

var _md = require("react-icons/md");

var _icons = require("@material-ui/icons");

var _styles = require("../../shared/styles");

var _styles2 = require("./styles");

var _templateObject, _templateObject2;

var useStyles = (0, _core.makeStyles)({
  drawer: {
    width: "20%"
  },
  drawerPaper: {
    // borderTopRightRadius: "10px",
    // borderBottomRightRadius: "10px",
    // borderColor: colors.primaryDark,
    backgroundColor: "#F8F8F8",
    boxShadow: "0px 4px 4px rgba(0, 0, 0, 0.25)" // backgroundColor: colors.primaryDark,

  }
});
var StyledMuiDrawer = (0, _styledComponents.default)(_core.Drawer)(_templateObject || (_templateObject = (0, _taggedTemplateLiteral2.default)(["\n  .MuiDrawer-paper {\n    width: 20%;\n    padding-top: 110px;\n  }\n  @media (max-width: 800px) {\n    .MuiDrawer-paper {\n      width: 40%;\n    }\n  }\n  // in case of print dont show menu\n  @media print {\n    .MuiDrawer-paper {\n    display: none;\n    visibility: hidden;\n  }\n}\n"])));
var StyledIconButton = (0, _styledComponents.default)(_core.IconButton)(_templateObject2 || (_templateObject2 = (0, _taggedTemplateLiteral2.default)(["\n  display: none;\n  @media (max-width: 800px) {\n    display: block;\n  }\n"])));
/**
- A Drawer with links inside it
**/

function Drawer(_ref) {
  var menuItens = _ref.menuItens,
      Component = _ref.as,
      firstBrandLabel = _ref.firstBrandLabel,
      secondBrandLabel = _ref.secondBrandLabel,
      variant = _ref.variant,
      openState = _ref.openState,
      onOpen = _ref.onOpen,
      onClose = _ref.onClose;
  var classes = useStyles();

  var _useState = (0, _react.useState)(0),
      _useState2 = (0, _slicedToArray2.default)(_useState, 2),
      selectedIndex = _useState2[0],
      setSelectedIndex = _useState2[1];

  function Link(_ref2) {
    var to = _ref2.to,
        children = _ref2.children,
        click = _ref2.click;

    if (click) {
      return /*#__PURE__*/_react.default.createElement("a", {
        onClick: click,
        style: {
          textDecoration: "none"
        }
      }, children);
    }

    if (Component) return /*#__PURE__*/_react.default.createElement(Component, {
      style: {
        textDecoration: "none"
      },
      to: to
    }, children);
    return /*#__PURE__*/_react.default.createElement("a", {
      href: to,
      style: {
        textDecoration: "none"
      }
    }, children);
  }

  var handleListItemClick = function handleListItemClick(event, index) {
    setSelectedIndex(index);
  };

  return /*#__PURE__*/_react.default.createElement(_react.default.Fragment, null, /*#__PURE__*/_react.default.createElement("div", {
    style: {
      position: "absolute",
      left: 0,
      top: 0
    }
  }, /*#__PURE__*/_react.default.createElement(StyledIconButton, {
    onClick: onOpen
  }, /*#__PURE__*/_react.default.createElement(_md.MdMenu, null))), /*#__PURE__*/_react.default.createElement(StyledMuiDrawer, {
    className: classes.drawer,
    variant: variant,
    open: openState,
    anchor: "left",
    classes: {
      paper: classes.drawerPaper
    },
    onClose: onClose
  }, /*#__PURE__*/_react.default.createElement(_core.List, {
    style: {
      margin: "20px 0px"
    }
  }, /*#__PURE__*/_react.default.createElement(_core.ListItem, {
    style: {
      display: "flex",
      justifyContent: "space-around"
    }
  }, /*#__PURE__*/_react.default.createElement(_core.Avatar, {
    variant: "rounded",
    style: {
      marginRight: "15px",
      backgroundColor: "#3B3B3A"
    }
  }, firstBrandLabel.charAt(0)), /*#__PURE__*/_react.default.createElement(_core.ListItemText, {
    style: {
      color: "#3B3B3A"
    }
  }, /*#__PURE__*/_react.default.createElement("p", {
    style: {
      fontSize: "16px",
      fontWeight: 600,
      margin: 0,
      padding: 0
    },
    title: firstBrandLabel
  }, firstBrandLabel.length > 10 ? firstBrandLabel.substring(0, 11).concat("...") : firstBrandLabel), /*#__PURE__*/_react.default.createElement("p", {
    style: {
      color: "gray",
      fontSize: "13px",
      margin: 0,
      padding: 0
    },
    title: secondBrandLabel
  }, secondBrandLabel.length > 10 ? secondBrandLabel.substring(0, 20).concat("...") : secondBrandLabel)))), menuItens.map(function (_ref3, index) {
    var label = _ref3.label,
        to = _ref3.to,
        Icon = _ref3.Icon,
        handleClick = _ref3.handleClick;
    return /*#__PURE__*/_react.default.createElement(Link, {
      key: index,
      to: to,
      click: handleClick
    }, /*#__PURE__*/_react.default.createElement(_styles2.ListMenuItemStyled, {
      onClick: function onClick(event) {
        return handleListItemClick(event, index);
      }
    }, /*#__PURE__*/_react.default.createElement(_core.ListItem, {
      button: true,
      style: {
        pointerEvents: "none"
      },
      selected: selectedIndex === index
    }, /*#__PURE__*/_react.default.createElement(_styles2.ListItemIconStyled, null, Icon ? /*#__PURE__*/_react.default.createElement(Icon, {
      style: {
        fontSize: "24px"
      }
    }) : /*#__PURE__*/_react.default.createElement(_icons.List, null)), /*#__PURE__*/_react.default.createElement(_core.ListItemText, {
      primary: /*#__PURE__*/_react.default.createElement(_styles2.TypographyMenuItemStyled, {
        type: "body2",
        style: {
          fontFamily: _styles.typography.type.primary
        }
      }, label)
    }))));
  })));
}

Drawer.defaultProps = {
  menuItens: [],
  as: null,
  firstBrandLabel: "Your Brand Here",
  secondBrandLabel: "Your second Brand Here",
  variant: "permanent",
  openState: true,
  onOpen: function onOpen() {
    return null;
  },
  onClose: function onClose() {
    return null;
  }
};