"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

var _interopRequireWildcard = require("@babel/runtime/helpers/interopRequireWildcard");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.DropdownButton = DropdownButton;

var _slicedToArray2 = _interopRequireDefault(require("@babel/runtime/helpers/esm/slicedToArray"));

var _objectWithoutProperties2 = _interopRequireDefault(require("@babel/runtime/helpers/esm/objectWithoutProperties"));

var _taggedTemplateLiteral2 = _interopRequireDefault(require("@babel/runtime/helpers/esm/taggedTemplateLiteral"));

var _react = _interopRequireWildcard(require("react"));

var _styledComponents = _interopRequireDefault(require("styled-components"));

var _Button = require("../Button");

var _styles = require("../../shared/styles");

var _useRefOutsideClick = require("../../hooks/useRefOutsideClick");

var _md = require("react-icons/md");

var _templateObject, _templateObject2, _templateObject3, _templateObject4, _templateObject5;

var Container = _styledComponents.default.div(_templateObject || (_templateObject = (0, _taggedTemplateLiteral2.default)(["\n  width: 150px;\n  position: relative;\n"])));

var Dropdown = _styledComponents.default.ul(_templateObject2 || (_templateObject2 = (0, _taggedTemplateLiteral2.default)(["\n  width: 95%;\n\n  position: absolute;\n  top: 10;\n\n  background: #fff;\n\n  display: flex;\n  flex-direction: column;\n\n  list-style: none;\n  margin: 15px auto;\n  padding: 0;\n  border-radius: 8px;\n  overflow: hidden;\n  z-index: 999;\n\n  font-family: ", ";\n\n  box-shadow: 0px 2px 4px rgba(40, 41, 61, 0.04),\n    0px 8px 16px rgba(96, 97, 112, 0.16);\n"])), _styles.typography.type.secondary);

var Anchor = _styledComponents.default.a(_templateObject3 || (_templateObject3 = (0, _taggedTemplateLiteral2.default)(["\n  text-decoration: none;\n  color: ", ";\n"])), _styles.colors.darker);

var MdArrowForwardStyled = (0, _styledComponents.default)(_md.MdArrowForward)(_templateObject4 || (_templateObject4 = (0, _taggedTemplateLiteral2.default)(["\n  color: #99ce86;\n"])));

var DropdownItem = _styledComponents.default.li(_templateObject5 || (_templateObject5 = (0, _taggedTemplateLiteral2.default)(["\n  height: 35px;\n  padding: 5px;\n  font-weight: ", ";\n\n  display: flex;\n  justify-content: space-between;\n  align-items: center;\n\n  cursor: pointer;\n\n  text-decoration: none;\n\n  :hover {\n    background: ", ";\n    color: ", ";\n  }\n\n  &:hover ", " {\n    color: white;\n  }\n"])), _styles.typography.weight.bold, _styles.colors.gossip, _styles.colors.lightest, MdArrowForwardStyled);
/**
- A dropdown button with links inside it
**/


function DropdownButton(_ref) {
  var children = _ref.children,
      Component = _ref.as,
      options = _ref.options,
      props = (0, _objectWithoutProperties2.default)(_ref, ["children", "as", "options"]);
  var wrapperRef = (0, _react.useRef)(null);

  var _useState = (0, _react.useState)(false),
      _useState2 = (0, _slicedToArray2.default)(_useState, 2),
      isOpen = _useState2[0],
      setOpen = _useState2[1];

  (0, _useRefOutsideClick.useRefOutside)(wrapperRef, setOpen, false);

  function Link(_ref2) {
    var to = _ref2.to,
        children = _ref2.children;
    if (Component) return /*#__PURE__*/_react.default.createElement(Component, {
      to: to
    }, children);
    return /*#__PURE__*/_react.default.createElement(Anchor, {
      href: to
    }, children);
  }

  return /*#__PURE__*/_react.default.createElement(Container, {
    ref: wrapperRef
  }, /*#__PURE__*/_react.default.createElement(_Button.Button, Object.assign({}, props, {
    fullWidth: true,
    onClick: function onClick() {
      return setOpen(!isOpen);
    }
  }), children), isOpen && /*#__PURE__*/_react.default.createElement(Dropdown, {
    style: {
      margin: "3px"
    }
  }, options.map(function (_ref3, index) {
    var link = _ref3.link,
        description = _ref3.description;
    return /*#__PURE__*/_react.default.createElement(Link, {
      key: index,
      to: link
    }, /*#__PURE__*/_react.default.createElement(DropdownItem, null, description, " ", /*#__PURE__*/_react.default.createElement(MdArrowForwardStyled, null)));
  })));
}

DropdownButton.defaultProps = {
  children: "Items",
  as: null
};