"use strict";

var _interopRequireWildcard = require("@babel/runtime/helpers/interopRequireWildcard");

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.FloatingCard = FloatingCard;

var _slicedToArray2 = _interopRequireDefault(require("@babel/runtime/helpers/esm/slicedToArray"));

var _react = _interopRequireWildcard(require("react"));

var _icons = require("@material-ui/icons");

var _Notification = require("../Notification");

var _styles = require("../../shared/styles");

var _styles2 = require("./styles");

/**
  Floating tag component.
  It receives a children prop to be rendered in its body if open.
  You can also provide a notification span status.

  Example:
  ```
  <FloatingCard title='Produtos Adicionados' notification='3'>
    <p>something</p>
    <p>something</p>
    <p>something</p>
  </FloatingCard>```
**/
function FloatingCard(_ref) {
  var children = _ref.children,
      title = _ref.title,
      notification = _ref.notification;

  var _useState = (0, _react.useState)(false),
      _useState2 = (0, _slicedToArray2.default)(_useState, 2),
      open = _useState2[0],
      setOpen = _useState2[1];

  return /*#__PURE__*/_react.default.createElement(_styles2.Container, null, /*#__PURE__*/_react.default.createElement(_styles2.Button, {
    open: open,
    onClick: function onClick() {
      return setOpen(!open);
    }
  }, title, !open && notification && /*#__PURE__*/_react.default.createElement(_Notification.Notification, {
    text: notification
  }), open ? /*#__PURE__*/_react.default.createElement(_icons.ExpandMore, {
    htmlColor: _styles.colors.amulet
  }) : /*#__PURE__*/_react.default.createElement(_icons.ExpandLess, {
    htmlColor: _styles.colors.amulet
  })), /*#__PURE__*/_react.default.createElement(_styles2.Content, {
    open: open
  }, children));
}

FloatingCard.defaultProps = {
  notification: false
};