"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

var _interopRequireWildcard = require("@babel/runtime/helpers/interopRequireWildcard");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.ImageCard = ImageCard;

var _taggedTemplateLiteral2 = _interopRequireDefault(require("@babel/runtime/helpers/esm/taggedTemplateLiteral"));

var _react = _interopRequireWildcard(require("react"));

var _styledComponents = _interopRequireDefault(require("styled-components"));

var _md = require("react-icons/md");

var _core = require("@material-ui/core");

var _Options = require("../Options");

var _styles = require("../../shared/styles");

var _templateObject, _templateObject2, _templateObject3, _templateObject4, _templateObject5, _templateObject6, _templateObject7;

var StyledCard = (0, _styledComponents.default)(_core.Card)(_templateObject || (_templateObject = (0, _taggedTemplateLiteral2.default)(["\n  height: 226px;\n  width: 176px;\n  padding: 8px;\n\n  box-sizing: border-box;\n\n  border: 1px solid #EEEBDD;\n  box-shadow: 0px 0px 1px rgba(40, 41, 61, 0.08), \n    0px 0.5px 2px rgba(96, 97, 112, 0.16);\n\n  display: flex;\n  flex-direction: column;\n  justify-content: space-between;\n"])));

var CardContent = _styledComponents.default.div(_templateObject2 || (_templateObject2 = (0, _taggedTemplateLiteral2.default)(["\n  width: 160px;\n  height: 160px;\n  \n  display: flex;\n  justify-content: center;\n"])));

var Image = _styledComponents.default.img(_templateObject3 || (_templateObject3 = (0, _taggedTemplateLiteral2.default)(["\n  height: 100%;\n  width: 100%;\n  object-fit: cover;\n  border-radius: 4px;\n"])));

var Header = _styledComponents.default.header(_templateObject4 || (_templateObject4 = (0, _taggedTemplateLiteral2.default)(["\n  display: flex;\n  justify-content: space-between;\n  align-items: center;\n"])));

var Footer = _styledComponents.default.footer(_templateObject5 || (_templateObject5 = (0, _taggedTemplateLiteral2.default)(["\n  display: flex;\n  justify-content: center;\n  align-items: center;\n"])));

var Label = _styledComponents.default.span(_templateObject6 || (_templateObject6 = (0, _taggedTemplateLiteral2.default)(["\n  font-family: ", ";\n  font-weight: ", ";\n  font-size: ", "px;\n  line-height: 18px;\n  letter-spacing: 0.2px;\n  color: ", ";\n"])), _styles.typography.type.secondary, _styles.typography.weight.bold, _styles.typography.size.s1, _styles.colors.label);

var Title = _styledComponents.default.span(_templateObject7 || (_templateObject7 = (0, _taggedTemplateLiteral2.default)(["\n  font-family: ", ";\n  font-weight: ", ";\n  font-size: ", "px;\n  line-height: 18px;\n  letter-spacing: 0.2px;\n  color: ", ";\n\n  overflow: hidden;\n  white-space: nowrap;\n  text-overflow: ellipsis;\n"])), _styles.typography.type.secondary, _styles.typography.weight.regular, _styles.typography.size.s1, _styles.colors.label);
/**
  Default card component to display a single image
**/


function ImageCard(_ref) {
  var title = _ref.title,
      src = _ref.src,
      alt = _ref.alt,
      main = _ref.main,
      onDelete = _ref.onDelete,
      onSetMain = _ref.onSetMain;
  var setMainText = (0, _react.useMemo)(function () {
    return main ? 'Tornar secundária' : 'Tornar primária';
  }, [main]);
  return /*#__PURE__*/_react.default.createElement(StyledCard, null, /*#__PURE__*/_react.default.createElement(Header, null, /*#__PURE__*/_react.default.createElement(Label, null, main ? 'Primária' : 'Secundária'), /*#__PURE__*/_react.default.createElement(_Options.Options, {
    options: [{
      icon: _md.MdEdit,
      text: setMainText,
      onClick: onSetMain
    }, {
      icon: _md.MdDelete,
      text: 'Remover',
      onClick: onDelete
    }]
  })), /*#__PURE__*/_react.default.createElement(CardContent, null, /*#__PURE__*/_react.default.createElement(Image, {
    alt: alt,
    src: src
  })), /*#__PURE__*/_react.default.createElement(Footer, null, /*#__PURE__*/_react.default.createElement(Title, null, title)));
}

ImageCard.defaultProps = {
  altImage: "Image card",
  onSetMain: null,
  main: false
};