"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.ModalComponent = ModalComponent;

var _objectWithoutProperties2 = _interopRequireDefault(require("@babel/runtime/helpers/esm/objectWithoutProperties"));

var _react = _interopRequireDefault(require("react"));

var _core = require("@material-ui/core");

var _Button = require("../Button");

var style = {
  position: "absolute",
  maxHeight: "85vh",
  top: "50%",
  left: "50%",
  transform: "translate(-50%, -50%)",
  width: "50%",
  bgcolor: "background.paper",
  boxShadow: 24,
  p: 4,
  overflowY: "scroll"
};

function ModalComponent(_ref) {
  var modalId = _ref.modalId,
      open = _ref.open,
      setOpen = _ref.setOpen,
      showButton = _ref.showButton,
      labelButton = _ref.labelButton,
      fullWidthButton = _ref.fullWidthButton,
      children = _ref.children,
      buttonSize = _ref.buttonSize,
      props = (0, _objectWithoutProperties2.default)(_ref, ["modalId", "open", "setOpen", "showButton", "labelButton", "fullWidthButton", "children", "buttonSize"]);

  var handleOpen = function handleOpen() {
    return setOpen(true);
  };

  var handleClose = function handleClose() {
    return setOpen(false);
  };

  return /*#__PURE__*/_react.default.createElement("div", null, showButton && /*#__PURE__*/_react.default.createElement(_Button.Button, {
    onClick: handleOpen,
    size: buttonSize,
    fullWidth: fullWidthButton
  }, labelButton), /*#__PURE__*/_react.default.createElement(_core.Modal, Object.assign({
    id: modalId,
    open: open,
    onClose: handleClose,
    "aria-labelledby": "modal-modal-title",
    "aria-describedby": "modal-modal-description"
  }, props), /*#__PURE__*/_react.default.createElement(_core.Box, {
    sx: style
  }, children)));
}

ModalComponent.defaultProps = {
  labelButton: "Label",
  fullWidthButton: false,
  showButton: true,
  open: false,
  buttonSize: "large"
};