"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

var _interopRequireWildcard = require("@babel/runtime/helpers/interopRequireWildcard");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.Pagination = Pagination;

var _taggedTemplateLiteral2 = _interopRequireDefault(require("@babel/runtime/helpers/esm/taggedTemplateLiteral"));

var _react = _interopRequireWildcard(require("react"));

var _styledComponents = _interopRequireWildcard(require("styled-components"));

var _lab = require("@material-ui/lab");

var _icons = require("@material-ui/icons");

var _styles = require("../../shared/styles");

var _templateObject, _templateObject2, _templateObject3, _templateObject4;

function getItemColor(fillBackground, selected) {
  if (fillBackground) return _styles.colors.lightest;
  if (selected) return _styles.colors.amulet;
  return _styles.colors.mediumdark;
}

var PageNumber = _styledComponents.default.button(_templateObject || (_templateObject = (0, _taggedTemplateLiteral2.default)(["\n  border-style:none;\n  background-color: transparent;\n\n  width: 20px;\n  height: 20px;\n  border-radius: 50%;\n\n  padding: 5px;\n\n  display: flex;\n  justify-content: center;\n  align-items: center;\n\n  font-size: ", "px;\n  font-family: ", ";\n  font-weight: ", ";\n  cursor: pointer;\n\n  color: ", ";\n\n  ", "\n\n  ", "\n\n  ", "\n"])), _styles.typography.size.s1, _styles.typography.type.secondary, _styles.typography.weight.bold, function (_ref) {
  var selected = _ref.selected,
      fillBackground = _ref.fillBackground;
  return getItemColor(fillBackground, selected);
}, function (_ref2) {
  var fillBackground = _ref2.fillBackground;
  return fillBackground && (0, _styledComponents.css)(_templateObject2 || (_templateObject2 = (0, _taggedTemplateLiteral2.default)(["\n      background: ", ";\n      box-shadow: 0px 0px 2px rgba(40, 41, 61, 0.04),\n        0px 4px 8px rgba(96, 97, 112, 0.16);\n    "])), _styles.colors.gossip);
}, function (_ref3) {
  var last = _ref3.last;
  return last && (0, _styledComponents.css)(_templateObject3 || (_templateObject3 = (0, _taggedTemplateLiteral2.default)(["\n      margin-left: 20px;\n    "])));
}, function (_ref4) {
  var first = _ref4.first;
  return first && (0, _styledComponents.css)(_templateObject4 || (_templateObject4 = (0, _taggedTemplateLiteral2.default)(["\n      margin-right: 20px;\n    "])));
});

function PaginationItem(_ref5) {
  var page = _ref5.page,
      type = _ref5.type,
      selected = _ref5.selected,
      onClick = _ref5.onClick,
      disabled = _ref5.disabled;
  if (type === "previous") return /*#__PURE__*/_react.default.createElement(PageNumber, {
    onClick: onClick,
    first: true,
    disabled: disabled
  }, /*#__PURE__*/_react.default.createElement(_icons.NavigateBefore, null));
  if (type === "next") return /*#__PURE__*/_react.default.createElement(PageNumber, {
    onClick: onClick,
    last: true,
    disabled: disabled
  }, /*#__PURE__*/_react.default.createElement(_icons.NavigateNext, null));
  if (type === "end-ellipsis") return /*#__PURE__*/_react.default.createElement(PageNumber, {
    onClick: onClick,
    disabled: disabled
  }, "...");
  return /*#__PURE__*/_react.default.createElement(PageNumber, {
    onClick: onClick,
    selected: selected,
    disabled: disabled
  }, page);
}
/**
  Default pagination component
**/


function Pagination(_ref6) {
  var page = _ref6.page,
      pages = _ref6.pages,
      paginate = _ref6.paginate;
  var handlePaginate = (0, _react.useCallback)(function (_, value) {
    if (value !== page) paginate(value);
  }, [paginate, page]);
  var isDisabled = pages === 0 || pages === 1;
  return /*#__PURE__*/_react.default.createElement(_lab.Pagination, {
    disabled: isDisabled,
    count: pages,
    page: page,
    onChange: handlePaginate,
    renderItem: function renderItem(props) {
      return /*#__PURE__*/_react.default.createElement(PaginationItem, props);
    }
  });
}