"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.Select = Select;

var _objectWithoutProperties2 = _interopRequireDefault(require("@babel/runtime/helpers/esm/objectWithoutProperties"));

var _react = _interopRequireDefault(require("react"));

var _core = require("@material-ui/core");

var _styles = require("../../shared/styles");

var CssFormControl = (0, _core.styled)(_core.FormControl)({
  "& label.Mui-focused": {
    color: _styles.colors.amulet
  },
  "& .MuiInput-underline:after": {
    borderBottomColor: _styles.colors.amulet
  },
  "& .MuiOutlinedInput-root": {
    "&:hover fieldset": {
      borderColor: _styles.colors.amulet
    },
    "&.Mui-focused fieldset": {
      borderColor: _styles.colors.amulet
    }
  }
});
var useStyles = (0, _core.makeStyles)({
  required: {
    "& fieldset": {
      borderColor: _styles.colors.negative
    }
  }
});

var CustomCssFormControl = function CustomCssFormControl(_ref) {
  var props = Object.assign({}, _ref);
  var classes = useStyles();
  return /*#__PURE__*/_react.default.createElement(CssFormControl, Object.assign({
    className: props.required && !props.value && classes.required
  }, props));
};

function Select(_ref2) {
  var selectId = _ref2.selectId,
      label = _ref2.label,
      value = _ref2.value,
      error = _ref2.error,
      errorText = _ref2.errorText,
      handleChange = _ref2.handleChange,
      options = _ref2.options,
      size = _ref2.size,
      props = (0, _objectWithoutProperties2.default)(_ref2, ["selectId", "label", "value", "error", "errorText", "handleChange", "options", "size"]);

  function handleSize() {
    if (size === "small") return "40px";
    if (size === "medium") return "50px";
  }

  return /*#__PURE__*/_react.default.createElement("div", null, /*#__PURE__*/_react.default.createElement(CustomCssFormControl, Object.assign({}, props, {
    variant: "outlined",
    fullWidth: true,
    hiddenLabel: true,
    error: error,
    size: size,
    value: value
  }), label && /*#__PURE__*/_react.default.createElement(_core.InputLabel, null, label), /*#__PURE__*/_react.default.createElement(_core.Select, Object.assign({
    style: {
      fontFamily: _styles.typography.type.primary,
      height: handleSize()
    },
    key: selectId,
    name: selectId,
    native: true,
    error: error,
    value: value,
    onChange: function onChange(e) {
      return handleChange(e);
    },
    label: label
  }, props), options.map(function (e) {
    return /*#__PURE__*/_react.default.createElement("option", {
      disabled: e.disabled,
      value: e.value,
      key: e.value
    }, e.label);
  })), error && /*#__PURE__*/_react.default.createElement(_core.FormHelperText, null, errorText)));
} // Important information, this component is only fullwidth according to its parent.


Select.defaultProps = {
  selectId: "defaultId",
  label: null,
  error: false,
  value: 0,
  handleChange: null,
  options: [],
  size: "medium"
};