"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.Ordering = exports.WithComponent = exports.Searchable = exports.Pageable = exports.Default = exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _Table = require("../Table");

var _Button = require("../Button");

var _default = {
  title: 'Backoffice/Table',
  component: _Table.Table,
  args: {
    headerTitle: 'List of Desserts',
    rows: [{
      name: 'Frozen yoghurt',
      calories: 159,
      fat: 6.0,
      carbs: 24,
      protein: 4.0
    }, {
      name: 'Ice cream sandwich',
      calories: 237,
      fat: 9.0,
      carbs: 37,
      protein: 4.3
    }, {
      name: 'Eclair',
      calories: 262,
      fat: 16.0,
      carbs: 24,
      protein: 6.0
    }, {
      name: 'Cupcake',
      calories: 305,
      fat: 3.7,
      carbs: 67,
      protein: 4.3
    }, {
      name: 'Gingerbread',
      calories: 356,
      fat: 16.0,
      carbs: 49,
      protein: 3.9
    }],
    columns: [{
      id: 'name',
      title: 'Dessert (100g serving)'
    }, {
      id: 'calories',
      title: 'Calories'
    }, {
      id: 'fat',
      title: 'Fat (g)'
    }, {
      id: 'carbs',
      title: 'Carbs (g)'
    }, {
      id: 'protein',
      title: 'Protein (g)'
    }],
    showPaging: false,
    showSearch: false
  }
};
exports.default = _default;

var Template = function Template(args) {
  return /*#__PURE__*/_react.default.createElement(_Table.Table, args);
};

var Default = Template.bind({});
exports.Default = Default;
var Pageable = Template.bind({});
exports.Pageable = Pageable;
Pageable.args = {
  showPaging: true,
  paging: {
    limit: 15,
    page: 1,
    total: 200
  }
};
var Searchable = Template.bind({});
exports.Searchable = Searchable;
Searchable.args = {
  showSearch: true
};
var WithComponent = Template.bind({});
exports.WithComponent = WithComponent;
WithComponent.args = {
  headerComponent: _Button.Button
};
var Ordering = Template.bind({});
exports.Ordering = Ordering;
Ordering.args = {
  ordering: {
    order_by: 'name',
    order: 'asc',
    availableOrderBy: ['name', 'calories', 'fat', 'carbs', 'protein']
  }
};