"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.Tag = Tag;

var _taggedTemplateLiteral2 = _interopRequireDefault(require("@babel/runtime/helpers/esm/taggedTemplateLiteral"));

var _react = _interopRequireDefault(require("react"));

var _styledComponents = _interopRequireDefault(require("styled-components"));

var _icons = require("@material-ui/icons");

var _styles = require("../../shared/styles");

var _templateObject, _templateObject2;

var TextSpan = _styledComponents.default.span(_templateObject || (_templateObject = (0, _taggedTemplateLiteral2.default)(["\n  max-width: 120px;\n  overflow: hidden;\n  white-space: nowrap;\n  text-overflow: ellipsis;\n"])));

var Span = _styledComponents.default.span(_templateObject2 || (_templateObject2 = (0, _taggedTemplateLiteral2.default)(["\n  max-width: 150px;\n  height: 18px;\n  padding: 4px 8px;\n  border-radius: 8px;\n\n  display: inline-flex;\n  align-items: center;\n  justify-content: space-between;\n\n  font-family: ", ";\n  font-size: ", "px;\n  font-weight: ", ";\n\n  background: ", ";\n  color: ", ";\n"])), _styles.typography.type.primary, _styles.typography.size.s1, _styles.typography.weight.bold, _styles.colors.madang, _styles.colors.darkest);
/**
 Single tag
**/


function Tag(_ref) {
  var children = _ref.children,
      onDelete = _ref.onDelete;
  return /*#__PURE__*/_react.default.createElement(Span, null, /*#__PURE__*/_react.default.createElement(TextSpan, null, children), onDelete && /*#__PURE__*/_react.default.createElement(_icons.CancelOutlined, {
    style: {
      height: 17,
      cursor: 'pointer',
      marginLeft: 10,
      paddingBottom: 2
    },
    onClick: onDelete
  }));
}

Tag.defaultProps = {
  onDelete: null
};