"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.BlockControls = BlockControls;

var _react = _interopRequireDefault(require("react"));

var _StyledButton = require("../StyledButton");

var _styles = require("./styles");

var BLOCK_TYPES = [{
  label: 'H1',
  style: 'header-one'
}, {
  label: 'H2',
  style: 'header-two'
}, {
  label: 'H3',
  style: 'header-three'
}, {
  label: 'H4',
  style: 'header-four'
}, {
  label: 'H5',
  style: 'header-five'
}, {
  label: 'H6',
  style: 'header-six'
}, {
  label: 'UL',
  style: 'unordered-list-item'
}, {
  label: 'OL',
  style: 'ordered-list-item'
}];

function BlockControls(_ref) {
  var onToggle = _ref.onToggle,
      editorState = _ref.editorState;
  var selection = editorState.getSelection();
  var blockType = editorState.getCurrentContent().getBlockForKey(selection.getStartKey()).getType();
  return /*#__PURE__*/_react.default.createElement(_styles.Container, null, BLOCK_TYPES.map(function (type) {
    return /*#__PURE__*/_react.default.createElement(_StyledButton.StyledButton, {
      key: type.label,
      active: type.style === blockType,
      label: type.label,
      onToggle: onToggle,
      style: type.style
    });
  }));
}