"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.ClippedDrawer = ClippedDrawer;

var _react = _interopRequireDefault(require("react"));

var _styles = require("@material-ui/core/styles");

var _AppBar = _interopRequireDefault(require("@material-ui/core/AppBar"));

var _Toolbar = _interopRequireDefault(require("@material-ui/core/Toolbar"));

var _Typography = _interopRequireDefault(require("@material-ui/core/Typography"));

var _ListItemIcon = _interopRequireDefault(require("@material-ui/core/ListItemIcon"));

var useStyles = (0, _styles.makeStyles)(function (theme) {
  return {
    root: {
      display: "flex"
    },
    appBar: {
      zIndex: theme.zIndex.drawer + 1
    }
  };
});

function ClippedDrawer(_ref) {
  var logo = _ref.logo,
      children = _ref.children,
      backgroundColor = _ref.backgroundColor;
  var classes = useStyles();
  return /*#__PURE__*/_react.default.createElement("div", {
    className: classes.root
  }, /*#__PURE__*/_react.default.createElement(_AppBar.default, {
    position: "fixed",
    className: classes.appBar
  }, /*#__PURE__*/_react.default.createElement(_Toolbar.default, {
    style: {
      backgroundColor: backgroundColor,
      maxHeight: "80px",
      display: "flex",
      justifyContent: "space-between"
    }
  }, /*#__PURE__*/_react.default.createElement(_Typography.default, {
    style: {
      color: "black",
      width: "15%",
      margin: 0
    }
  }, logo && /*#__PURE__*/_react.default.createElement(_ListItemIcon.default, null, /*#__PURE__*/_react.default.createElement("img", {
    src: logo,
    alt: "Brand Icon",
    style: {
      height: "50px"
    }
  }))), /*#__PURE__*/_react.default.createElement(_Typography.default, {
    noWrap: true,
    style: {
      color: "black",
      width: "80%"
    }
  }, children))));
}

ClippedDrawer.defaultProps = {
  backgroundColor: "#FFF"
};