"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.useRefOutside = useRefOutside;

var _react = require("react");

function useRefOutside(ref, stateToSet, valueToSet) {
  (0, _react.useEffect)(function () {
    /**
     * Set state to false if clicked on outside of element
     */
    function handleClickOutside(event) {
      if (ref.current && !ref.current.contains(event.target)) {
        stateToSet(valueToSet);
      }
    } // Bind the event listener


    document.addEventListener("mousedown", handleClickOutside);
    return function () {
      // Unbind the event listener on clean up
      document.removeEventListener("mousedown", handleClickOutside);
    };
  }, [ref, stateToSet, valueToSet]);
}