"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.pageMargins = exports.pageMargin = exports.breakpoint = exports.typography = exports.spacing = exports.colors = exports.background = void 0;

var _taggedTemplateLiteral2 = _interopRequireDefault(require("@babel/runtime/helpers/esm/taggedTemplateLiteral"));

var _styledComponents = require("styled-components");

var _templateObject;

// Global style variables
var background = {
  app: '#f9f9f4',
  table: '#fff',
  tableDisabled: '#e53535'
};
exports.background = background;
var colors = {
  // Palette
  primaryDark: '#3B3B3A',
  primaryLight: '#EFECDE',
  secondaryGreen: '#A1A38C',
  lightGreen: '#E1F1DB',
  secondaryLight: '#F8F1DA',
  secondaryTan: '#C6A594',
  tertiary: '#DDDDDD',
  parchment: '#CEC9B2',
  amulet: '#85B074',
  gossip: '#99CE86',
  madang: '#BBE0AD',
  sandwisp: '#E5CA78',
  bermudaGrey: '#7B919E',
  tawnyPort: '#60383E',
  auChico: '#9F6855',
  border: 'rgba(0,0,0,.1)',
  // Status
  positive: '#85B074',
  negative: '#e53535',
  warning: '#E5CA78',
  title: '#000',
  label: '#636363',
  // Monochrome
  lightest: '#FFFFFF',
  lighter: '#F8F8F8',
  light: '#F3F3F3',
  mediumlight: '#EEEEEE',
  medium: '#DDDDDD',
  mediumdark: '#999999',
  dark: '#666666',
  darker: '#444444',
  darkest: '#333333'
};
exports.colors = colors;
var spacing = {
  padding: {
    small: 10,
    medium: 20,
    large: 30
  },
  borderRadius: {
    small: 5,
    default: 10
  }
};
exports.spacing = spacing;
var typography = {
  type: {
    primary: '"Gill Sans Nova", "Helvetica Neue", Helvetica, Arial, sans-serif',
    secondary: 'Open Sans'
  },
  weight: {
    regular: '400',
    bold: '700',
    extrabold: '800',
    black: '900'
  },
  size: {
    s1: '12',
    s2: '14',
    s3: '16',
    m1: '20',
    m2: '24',
    m3: '28',
    l1: '32',
    l2: '40',
    l3: '48',
    code: '90'
  }
};
exports.typography = typography;
var breakpoint = 600;
exports.breakpoint = breakpoint;
var pageMargin = '5.55555';
exports.pageMargin = pageMargin;
var pageMargins = (0, _styledComponents.css)(_templateObject || (_templateObject = (0, _taggedTemplateLiteral2.default)(["\n  padding: 0 ", "px;\n  @media (min-width: ", "px) {\n    margin: 0 ", "%;\n  }\n  @media (min-width: ", "px) {\n    margin: 0 ", "%;\n  }\n  @media (min-width: ", "px) {\n    margin: 0 ", "%;\n  }\n  @media (min-width: ", "px) {\n    margin: 0 ", "%;\n  }\n"])), spacing.padding.medium, breakpoint * 1, pageMargin * 1, breakpoint * 2, pageMargin * 2, breakpoint * 3, pageMargin * 3, breakpoint * 4, pageMargin * 4);
exports.pageMargins = pageMargins;