import React, { useState } from 'react';

import { BreadcrumbStepper } from '.';

function StepComponent({ title }) {
  return <p>{title}</p>
}

export default {
  title: 'Backoffice/BreadcrumbStepper',
  component: BreadcrumbStepper,
  args: {
    steps: [
      { title: 'Step 1', component: () => <StepComponent title='This is Step 1!' /> },
      { title: 'Step 2', component: () => <StepComponent title='This is Step 2!' /> },
      { title: 'Step 3', component: () => <StepComponent title='This is Step 3!' /> },
    ],
  },
};

const Template = (args) => {
  const [selected, setSelected] = useState(0);

  return (
    <BreadcrumbStepper
      {...args}
      selected={selected}
      onClick={setSelected}
    />
  );
};

export const Default = Template.bind({});

const TemplateDisable = (args) => {
  return (
    <BreadcrumbStepper
      {...args}
      selected={0}
      onClick={null}
    />
  );
};

export const Disabled = TemplateDisable.bind({});
Disabled.args = {
  onClick: null,
};
