import React, { Fragment } from 'react';
import { NavigateNext } from '@material-ui/icons';

import { insertIf } from '../../../utils/objects';
import { colors } from '../../../shared/styles';

import { Container, Step } from './styles';

function Separator() {
  return <NavigateNext htmlColor={colors.amulet} />
}

export function Stepper({ selected, steps, onClick }) {
  return (
    <Container>
      {steps.map((step, index) => (
        <Fragment key={index}>
          <Step
            index={index}
            selected={selected}
            {...insertIf(onClick, { onClick: () => onClick(index) })}
          >
            {step.title}
          </Step>

          {index < (steps.length - 1) && <Separator />}
        </Fragment>
      ))}
    </Container>
  );
}
