import styled, { css } from 'styled-components';
import { colors, typography } from '../../../shared/styles';

function getSpanColor(index, selected) {
  if (index === selected) return colors.darkest;

  if (index > selected) return colors.mediumdark;

  return colors.dark;
}

export const Container = styled.div`
  display: flex;
  align-items: center;
`;

export const Step = styled.span`
  font-family: ${typography.type.primary};
  font-size: ${typography.size.s2}px;
  font-weight: ${typography.weight.bold};
  cursor: ${({ onClick }) => onClick && 'pointer'};
  line-height: 26px;

  color: ${({ index, selected }) => getSpanColor(index, selected)};
  
  ${({ index, selected }) => index === selected && css`
    border-bottom: 2px solid ${colors.amulet};
  `}
`;
