import React from 'react';
import {
  Checkbox as MDCheckbox,
  withStyles,
  FormControlLabel,
} from "@material-ui/core";
import PropTypes from "prop-types";
import { colors, typography } from "../../shared/styles";

const GreenCheckbox = withStyles({
  root: {
    color: colors.amulet,
    "&$checked": {
      color: colors.amulet,
    },
  },
  checked: {},
})((props) => <MDCheckbox color="default" {...props} />);

export function Checkbox({ checkboxId, value, label, handleChange }) {
  return (
    <FormControlLabel
      style={{ fontFamily: typography.type.primary }}
      control={
        <GreenCheckbox
          name={checkboxId}
          checked={value}
          onChange={(e) => handleChange(e)}
        />
      }
      label={label}
    />
  );
}

Checkbox.propTypes = {
  checkboxId: PropTypes.string,
  label: PropTypes.string,
  value: PropTypes.bool,
  handleChange: PropTypes.func,
};

Checkbox.defaultProps = {
  checkboxId: "defaultId",
  label: "Default Label Text",
  value: false,
  handleChange: null,
};
