import { List, ListItemIcon, Typography } from "@material-ui/core";
import styled from "styled-components";

export const ListMenuItemStyled = styled(List)`
  height: 32px;
  display: flex;
  justify-content: center;
  align-items: center;
  cursor: pointer;
  margin-bottom: 5px;
  box-sizing: content-box;

  &:hover,
  &:focus {
    border-radius: 0px 99px 99px 0px;
    background-color: #9cd186;
    color: white;
    transition: 0.3s;
  }

  .MuiListItem-root.Mui-selected,
  .MuiListItem-root.Mui-selected:hover {
    background-color: #9cd186;
  }

  .Mui-selected {
    border-radius: 0px 99px 99px 0px;
    background-color: #9cd186;

    .MuiListItemIcon-root,
    .MuiTypography-root {
      color: white;
    }
  }
`;

export const ListItemIconStyled = styled(ListItemIcon)`
  color: #3b3b3a;
  display: flex;
  justify-content: center;

  ${ListMenuItemStyled}:hover & {
    color: #fff;
  }
`;

export const TypographyMenuItemStyled = styled(Typography)`
  color: #3b3b3a;
  font-weight: 600;

  ${ListMenuItemStyled}:hover & {
    color: #fff;
  }
`;
