import styled from 'styled-components';
import { typography } from '../../shared/styles';

export const Container = styled.div`
  width: 230px;

  position: fixed;
  bottom: 100px;
  right: 75px;
  z-index: 1;

  box-shadow: 0px 4px 4px rgba(0, 0, 0, 0.15);
`;

export const Button = styled.div`
  height: 40px;
  padding: 0 7px;
  box-sizing: border-box;
  
  display: flex;
  justify-content: space-between;
  align-items: center;
  
  cursor: pointer;

  color: #000;
  font-weight: ${typography.weight.bold};
  font-family: ${typography.type.secondary};
  font-size: ${typography.size.s2}px;
  
  background: #F9F8F4;
  border-radius: ${({ open }) => open ? '4px 4px 0 0' : '4px'};
  border-bottom: ${({ open }) => open && '1px solid #C7C7C7'};

  position: relative;
`;

export const Content = styled.div`
  height: ${({ open }) => open ? 'auto' : '0px'};
  max-height: 700px;
  padding: ${({ open }) => open ? '7px' : 'none'};
  
  box-sizing: border-box;

  word-wrap: break-word;
  overflow: hidden;
  overflow-y: auto;

  background: #F9F8F4;
  border-radius: 0 0 4px 4px;

  ::-webkit-scrollbar {
    width: 7px;
  }

  /* Track */
  ::-webkit-scrollbar-track {
    background: #f1f1f1;
  }

  /* Handle */
  ::-webkit-scrollbar-thumb {
    background: #9e9e9e;
    border-radius: 4px;
  }

  /* Handle on hover */
  ::-webkit-scrollbar-thumb:hover {
    background: #888;
  }
`;
