import React, { useState } from "react";

import { Input } from "../Input";

export default {
  title: "Backoffice/Input",
  component: Input,
  args: {
    label: "Label Description",
    placeholder: "Placeholder description",
    helperText: "Help text description",
    size: "small",
  },
};

const Template = (args) => {
  const [localValue, setValue] = useState("");

  const onChangeInput = (inputValue) => {
    setValue(inputValue.target.value);
  };

  return <Input {...args} value={localValue} handleChange={onChangeInput} />;
};

export const Default = Template.bind({});

export const Formatted = Template.bind({});
Formatted.args = {
  isNumeric: true,
  mask: ".",
  format: "(##) #####-####",
};
