import { IconButton } from '@material-ui/core';
import styled from 'styled-components';

export const EditIcon = styled(IconButton)`
  color: 'black';
  background-color: 'white';

  &:hover,
  &:focus {
    background-color: #85b074 !important;
    color: white;
    transition: 0.3s;
  }
`;

export const PopperDropdown = styled.ul`
  margin: 0;
  padding: 0;
  width: 150px;
  background: #ffffff;
  border-radius: 4px;
  box-shadow: 0px 2px 8px rgba(40, 41, 61, 0.04),
    0px 16px 24px rgba(96, 97, 112, 0.16);

  ::after,
  ::before {
    bottom: 100%;
    left: 50%;
    border: solid transparent;
    content: '';
    height: 0;
    width: 0;
    position: absolute;
    pointer-events: none;
  }

  ::after {
    border-color: rgba(194, 225, 245, 0);
    border-bottom-color: #ffffff;
    border-width: 10px;
    margin-left: -10px;
  }

  ::before {
    border-color: rgba(194, 225, 245, 0);
    border-bottom-color: #ffffff;
    border-width: 16px;
    margin-left: -16px;
  }
`;

export const PopperDropdownItem = styled.li`
  list-style: none;
  padding: 7px;
  border-radius: 4px;

  display: flex;
  align-items: center;

  cursor: pointer;

  :hover {
    background: #99ce86;
    color: #ffffff;
  }
`;

export const PopperSpan = styled.span`
  font-family: 'Open Sans', sans-serif;
  font-weight: 600;
  font-size: 12px;
  margin-left: 5px;
`;
