import React from 'react';

import { Table } from '../Table';
import { Button } from '../Button';

export default {
  title: 'Backoffice/Table',
  component: Table,
  args: {
    headerTitle: 'List of Desserts',
    rows: [
      { name: 'Frozen yoghurt', calories: 159, fat: 6.0, carbs: 24, protein: 4.0 },
      { name: 'Ice cream sandwich', calories: 237, fat: 9.0, carbs: 37, protein: 4.3 },
      { name: 'Eclair', calories: 262, fat: 16.0, carbs: 24, protein: 6.0 },
      { name: 'Cupcake', calories: 305, fat: 3.7, carbs: 67, protein: 4.3 },
      { name: 'Gingerbread', calories: 356, fat: 16.0, carbs: 49, protein: 3.9 },
    ],
    columns: [
      { id: 'name', title: 'Dessert (100g serving)' },
      { id: 'calories', title: 'Calories' },
      { id: 'fat', title: 'Fat (g)' },
      { id: 'carbs', title: 'Carbs (g)' },
      { id: 'protein', title: 'Protein (g)' },
    ],
    showPaging: false,
    showSearch: false,
  },
};

const Template = (args) => <Table {...args} />;

export const Default = Template.bind({});

export const Pageable = Template.bind({});
Pageable.args = {
  showPaging: true,
  paging: {
    limit: 15,
    page: 1,
    total: 200,
  },
};

export const Searchable = Template.bind({});
Searchable.args = {
  showSearch: true,
};

export const WithComponent = Template.bind({});
WithComponent.args = {
  headerComponent: Button,
};

export const Ordering = Template.bind({});
Ordering.args = {
  ordering: {
    order_by: 'name',
    order: 'asc',
    availableOrderBy: ['name', 'calories', 'fat', 'carbs', 'protein'],
  },
};
