import React, { useState } from 'react';

import { TextEditor } from '.';

const initialValue = [
  `<h1>This is an HTML text editor!</h1>`,
  `<br />`,
  ``,
  `<p>`,
  `You can format your text using those <b>buttons</b> up there. `,
  `Or also some keyboard shortcuts! =D`,
  `</p>`,
  ``,
  `<br />`,
  ``,
  `<h3>We also have a list here:</h3>`,
  `<ul>`,
  ` <li>I'm a normal text</li>`,
  ` <li><b>I'm bold</b></li>`,
  ` <li><i>I'm italic</i></li>`,
  `</ul>`,
].join('');

export default {
  title: 'Backoffice/TextEditor',
  component: TextEditor,
  args: {
    initialValue,
  },
};

const Template = (args) => {
  const [value, setValue] = useState('');

  return (
    <TextEditor
      {...args}
      selected={value}
      onChange={setValue}
    />
  );
};

export const Default = Template.bind({});
