import { useState, useCallback } from 'react';

export function useStepper() {
  const [selected, setSelected] = useState(0);

  const next = useCallback(() => setSelected(selected + 1), [selected]);

  const previous = useCallback(() => {
    if (selected > 0) setSelected(selected - 1);
  }, [selected]);

  return {
    selected,
    next,
    previous,
    setStep: setSelected
  }
}
