import { css } from 'styled-components';

// Global style variables
export const background = {
  app: '#f9f9f4',
  table: '#fff',
  tableDisabled: '#e53535',
};

export const colors = {
  // Palette
  primaryDark: '#3B3B3A',
  primaryLight: '#EFECDE',
  secondaryGreen: '#A1A38C',
  lightGreen: '#E1F1DB',
  secondaryLight: '#F8F1DA',
  secondaryTan: '#C6A594',
  tertiary: '#DDDDDD',

  parchment: '#CEC9B2',
  amulet: '#85B074',
  gossip: '#99CE86',
  madang: '#BBE0AD',
  sandwisp: '#E5CA78',
  bermudaGrey: '#7B919E',
  tawnyPort: '#60383E',
  auChico: '#9F6855',

  border: 'rgba(0,0,0,.1)',

  // Status
  positive: '#85B074',
  negative: '#e53535',
  warning: '#E5CA78',

  title: '#000',
  label: '#636363',

  // Monochrome
  lightest: '#FFFFFF',
  lighter: '#F8F8F8',
  light: '#F3F3F3',
  mediumlight: '#EEEEEE',
  medium: '#DDDDDD',
  mediumdark: '#999999',
  dark: '#666666',
  darker: '#444444',
  darkest: '#333333',
};

export const spacing = {
  padding: {
    small: 10,
    medium: 20,
    large: 30,
  },
  borderRadius: {
    small: 5,
    default: 10,
  },
};

export const typography = {
  type: {
    primary: '"Gill Sans Nova", "Helvetica Neue", Helvetica, Arial, sans-serif',
    secondary: 'Open Sans',
  },
  weight: {
    regular: '400',
    bold: '700',
    extrabold: '800',
    black: '900',
  },
  size: {
    s1: '12',
    s2: '14',
    s3: '16',
    m1: '20',
    m2: '24',
    m3: '28',
    l1: '32',
    l2: '40',
    l3: '48',
    code: '90',
  },
};

export const breakpoint = 600;
export const pageMargin = '5.55555';

export const pageMargins = css`
  padding: 0 ${spacing.padding.medium}px;
  @media (min-width: ${breakpoint * 1}px) {
    margin: 0 ${pageMargin * 1}%;
  }
  @media (min-width: ${breakpoint * 2}px) {
    margin: 0 ${pageMargin * 2}%;
  }
  @media (min-width: ${breakpoint * 3}px) {
    margin: 0 ${pageMargin * 3}%;
  }
  @media (min-width: ${breakpoint * 4}px) {
    margin: 0 ${pageMargin * 4}%;
  }
`;
